IBM Support

IT13989: GNU C LIBRARY (GLIBC) VULNERABILITY AFFECTS IBM DATAPOWER GATEWAYS (CVE-2015-7547)

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • GNU C Library (glibc) is vulnerable to a stack-based buffer
    overflow in the getaddrinfo() function. A remote attacker could
    overflow a buffer and execute arbitrary code on the system or
    cause the application to crash.
    

Local fix

Problem summary

  • Updated library to correct  vulnerability.
    

Problem conclusion

  • The fix is available in 6.0.0.19, 6.0.1.15, 7.0.0.12, 7.1.0.9,
    7.2.0.4 and 7.5.0.0
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT13989

  • Reported component name

    DATAPOWER

  • Reported component ID

    DP1234567

  • Reported release

    600

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2016-02-25

  • Closed date

    2016-03-07

  • Last modified date

    2016-03-08

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Modules/Macros

  • 0
    

Fix information

  • Fixed component name

    DATAPOWER

  • Fixed component ID

    DP1234567

Applicable component levels

  • R720 PSY

       UP



Document information

More support for: IBM DataPower Gateways
General

Software version: 6.0.0

Reference #: IT13989

Modified date: 08 March 2016